# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="3"

PYTHON_DEPEND="*:2.6"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="3.*"

PYTHON_MODNAME="g_pypi"

inherit distutils

DESCRIPTION="Tool for creating Gentoo ebuilds for Python packages by querying PyPI (The Cheese Shop)"
HOMEPAGE="http://code.google.com/p/${PN}/"
SRC_URI="mirror://pypi/{$PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x64-macos ~x86"
SLOT="0"
IUSE="test doc"
DEPEND="dev-python/setuptools
	test? ( dev-python/nose )"
RDEPEND="dev-python/pygments
	dev-python/setuptools
	dev-python/cheetah
	dev-python/configobj
	app-portage/gentoolkit
	dev-python/yolk"

src_install() {
	distutils_src_install
	if use doc; then
		dodoc "${S}"/docs/*
	fi

}

src_test() {
	PYTHONPATH=. "${python}" setup.py nosetests || die "tests failed"
}
